Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalDesktopIconUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.DesktopIconUI
              javax.swing.plaf.basic.BasicDesktopIconUI
                  javax.swing.plaf.metal.MetalDesktopIconUI

public class MetalDesktopIconUI
extends BasicDesktopIconUI

Metal desktop icon.

Nested Class Summary

Nested classes inherited from class javax.swing.plaf.basic.BasicDesktopIconUI
`BasicDesktopIconUI.MouseInputHandler`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicDesktopIconUI
`desktopIcon, frame`

Constructor Summary
`MetalDesktopIconUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent c)` Returns an instance of the UI delegate for the specified component.
`Dimension` | `getMaximumSize(JComponent c)` Returns the specified component's maximum size appropriate for the look and feel.
`Dimension` | `getMinimumSize(JComponent c)` Returns the specified component's minimum size appropriate for the look and feel.
`Dimension` | `getPreferredSize(JComponent c)` Returns the specified component's preferred size appropriate for the look and feel.
`protected void` | `installComponents()`
`protected void` | `installDefaults()`
`protected void` | `installListeners()`
`protected void` | `uninstallComponents()`
`protected void` | `uninstallListeners()`

Methods inherited from class javax.swing.plaf.basic.BasicDesktopIconUI
`createMouseInputListener, deiconize, getInsets, installUI, uninstallDefaults, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalDesktopIconUI

    public MetalDesktopIconUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

  Description copied from class: `ComponentUI`
  Returns an instance of the UI delegate for the specified component. Each subclass must provide its own static `createUI` method that returns an instance of that UI delegate subclass. If the UI delegate subclass is stateless, it may return an instance that is shared by multiple components. If the UI delegate is stateful, then it should return a new instance per component. The default implementation of this method throws an error, as it should never be invoked.

### installDefaults

    protected void installDefaults()

  Overrides:
    `installDefaults` in class `BasicDesktopIconUI`

### installComponents

    protected void installComponents()

  Overrides:
    `installComponents` in class `BasicDesktopIconUI`

### uninstallComponents

    protected void uninstallComponents()

  Overrides:
    `uninstallComponents` in class `BasicDesktopIconUI`

### installListeners

    protected void installListeners()

  Overrides:
    `installListeners` in class `BasicDesktopIconUI`

### uninstallListeners

    protected void uninstallListeners()

  Overrides:
    `uninstallListeners` in class `BasicDesktopIconUI`

### getPreferredSize

    public Dimension getPreferredSize(JComponent c)

  Description copied from class: `ComponentUI`
  Returns the specified component's preferred size appropriate for the look and feel. If `null` is returned, the preferred size will be calculated by the component's layout manager instead (this is the preferred approach for any component with a specific layout manager installed). The default implementation of this method returns `null`.

  Overrides:
    `getPreferredSize` in class `BasicDesktopIconUI`

### getMinimumSize

    public Dimension getMinimumSize(JComponent c)

  Description copied from class: `ComponentUI`
  Returns the specified component's minimum size appropriate for the look and feel. If `null` is returned, the minimum size will be calculated by the component's layout manager instead (this is the preferred approach for any component with a specific layout manager installed). The default implementation of this method invokes `getPreferredSize` and returns that value.

  Overrides:
    `getMinimumSize` in class `BasicDesktopIconUI`

### getMaximumSize

    public Dimension getMaximumSize(JComponent c)

  Description copied from class: `ComponentUI`
  Returns the specified component's maximum size appropriate for the look and feel. If `null` is returned, the maximum size will be calculated by the component's layout manager instead (this is the preferred approach for any component with a specific layout manager installed). The default implementation of this method invokes `getPreferredSize` and returns that value.

  Overrides:
    `getMaximumSize` in class `BasicDesktopIconUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.